%define upstream_name    SQL-ReservedWords
%define upstream_version 0.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Reserved SQL words by PostgreSQL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Determine if words are reserved by ANSI/ISO SQL standard.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/sqlrw
/usr/share/man/man1/sqlrw.1.xz

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.800.0-2.mga3
+ Revision: 372438
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.800.0-1.mga3
+ Revision: 295049
- update to 0.8

* Wed Jun 22 2011 jquelin <jquelin> 0.700.0-1.mga2
+ Revision: 112170
- imported package perl-SQL-ReservedWords

